//-----------------------------------------------------------------------------
// Title      : bsp_ub027_mk3_ext_tlcd
//-----------------------------------------------------------------------------
// Funktion   : Externes Modul : 2x16 Zeichen LCD-Display
// Schaltung  : myAVR MK3 + myAVR LCD Add-On
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 28.11.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_ext_module/ext_mod_LCD_2x16.h>
#include <ub_mk3_2560/MK3_2560_ADC.h>

//-----------------------------------------------------------------------------
// Hinweis : 
// > externes Modul muss am Stecker rechts unten angeschlossen sein
// > das Programm schreibt einen Text auf das Display
// > Poti muss an Port-F0 angeschlossen sein
// > Potiwert wird am Display angezeigt
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int ad_wert;
	
    EXT_INIT_TLCD();  // init vom externen Text-Display
    MK3_INIT_ADC();
    
    // Anzeigen von Text
      MOD_TLCD_STRING_AT(0,0,"Hallo");
//    MOD_TLCD_STRING_AT(2,1,"Leute");
    
    // Anzeigen einer Zahl    
//    MOD_TLCD_UINT_AT(0,0,33123);

	while (true)
	{
		ad_wert=MK3_ADC_READ_CH(ADC0);
		MOD_TLCD_UINT_AT(2,1,ad_wert);

	}
	return 0;
}
//-----------------------------------------------------------------------------
